Subject: bug#15655: Eval integer, see extraneous nonsense output

From: Drew Adams <[email-masked]>
Date: Sat, 19 Oct 2013 13:48:14 -0700 (PDT)

> Run emacs -Q. Type the number 23 in the scratch buffer. eval-last-sexp
> and see in the minibuffer: "23". eval-last-sexp again and see in the
> minibuffer: "23 (#o27, #x17, ?\C-w)". I didn't expect (#o27, #x17,
> ?\C-w).

This is getting to be a FAQ.  It's about time that the doc string for
`eval-last-sexp' gets updated to let users know to expect this feature.
The manual was updated, but the doc string was not.  Doc bug.